Skip to main content
`Ctrl`+`K`

# PEPCISSSetSizes

Sets the values of various size parameters in the CISS solver.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPCISSSetSizes(PEP pep,PetscInt ip,PetscInt bs,PetscInt ms,PetscInt npart,PetscInt bsmax,PetscBool realmats)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- ip - number of integration points

- bs - block size

- ms - moment size

- npart - number of partitions when splitting the communicator

- bsmax - max block size

- realmats - all coefficient matrices of \(P(\cdot)\) are real

## Options Database Keys

- -pep_ciss_integration_points <ip> - sets the number of integration points

- -pep_ciss_blocksize <bs> - sets the block size

- -pep_ciss_moments <ms> - sets the moment size

- -pep_ciss_partitions <npart> - sets the number of partitions

- -pep_ciss_maxblocksize <bsmax> - sets the maximum block size

- -pep_ciss_realmats - all coefficient matrices of \(P(\cdot)\) are real

## Notes

For all integer arguments, you can use `PETSC_CURRENT` to keep the current value, and `PETSC_DETERMINE` to set them to a default value.

The default number of partitions is 1. This means the internal `KSP` object is shared among all processes of the `PEP` communicator. Otherwise, the communicator is split into `npart` communicators, so that `npart` `KSP` solves proceed simultaneously.

For a detailed description of the parameters see [Maeda et al., 2016].

## References

[Mae16]

Y. Maeda, T. Sakurai, and J. E. Roman. Contour integral spectrum slicing method in SLEPc. Technical Report STR-11, Universitat Politècnica de València, 2016. URL: https://slepc.upv.es/documentation.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPCISS`, `PEPCISSGetSizes()`

## Level

advanced

## Location

src/pep/impls/ciss/pciss.c

## Implementations

PEPCISSSetSizes_CISS() in src/pep/impls/ciss/pciss.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages